package com.jay.monitor.data.server.report.alert.rule.config;

import com.jay.monitor.data.server.enums.MatchRuleEnums;
import com.jay.monitor.data.server.report.alert.rule.MatchValueCondition;
import org.springframework.stereotype.Component;

/**
 * 大于比较器
 *
 * @author liukaixiong
 * @Email liukx@elab-plus.com
 * @date 2021/9/6 - 15:30
 */
@Component
public class GTValueCondition implements MatchValueCondition {

    private LTValueCondition condition = new LTValueCondition();

    @Override
    public MatchRuleEnums matchRule() {
        return MatchRuleEnums.gt;
    }

    @Override
    public boolean match(Object value, String matchValue) {
        return !condition.match(value, matchValue);
    }
}
